Skip to main content

Get a check type's config JSON Schema, org plugin types included

GET 

/api/v1/orgs/:org/check-types/:type/schema

Same document as GET /api/v1/checks/schema/{type}, plus the plugin check types (x- prefix) this organization's private-location agents reported. Those are stored per organization, so their schema is served while the agent is offline, and never to another organization. A plugin schema is the validator of its type.

Request​

Responses​

The check type's config schema